Logoelepay
Charges

Create charge

Creates a charge.

POST
/charges
Amount
Whether to capture the payment. If false, only authorization and amount hold are performed. Default is true.
default: true
Currency code (ISO 4217)
length 3–3 · default: JPY
Payment method - auto Auto detection (available for CPM payments only) - alipay Alipay - alipayhk AlipayHK - alipayplus Alipay+ - amazonpay Amazon Pay - applepay Apple Pay - applepay_cn Apple Pay (China) - atokara Atokara - atone atone (pay next month at convenience stores) - aupay au Pay - clicktopay Click To Pay - banktransfer Bank transfer - creditcard Credit card - dana DANA - docomopay d Payment - ezlink EZ-Link - felica E-money - felica_id iD - felica_quickpay QUICPay - felica_transport_ic Transit IC card - gcash GCash - ginkopay Bank Pay - googlepay Google Pay - jcoinpay J-Coin Pay - jkopay JKOPAY - kakaopay Kakao Pay - konbini Convenience store payment - linepay LINE Pay - merpay Merpay - origamipay Origami Pay - paidy Paidy (pay next month) - paypal PayPal - paypay PayPay - pxpayplus AllPay - rakutenpay Rakuten Pay - smartcode Smart Code - tng Touch 'n Go eWallet - truemoney TrueMoney - unionpay UnionPay QuickPass - wechatpay Wechat Pay - aeonpay AEON Pay - rabbitlinepay Rabbit LINE Pay - bpi BPI - boost Boost - hellomoney HelloMoney by AUB - tosspay Toss Pay - naverpay Naver Pay - wellwa WellWa Points - grabpay Grab Pay - momopay Momo Pay - promptpay Prompt Pay - wovenpay Woven City Pay - ezopay EZO Pay
Payment resource - web Web browser - ios iOS native app - android Android native app - liff LINE LIFF app - mini WeChat Mini Program - cpm CPM payment (customer-presented QR code) - mpm MPM payment (merchant-presented QR code) - reader Card reader payment (reader device required) - posapp POS app payment (POS app integration required)
Merchant system order number (e.g., order number, payment ID, etc.). Maximum length is 50 characters.
length ≤ 50
Description of the payment
length ≤ 1024
Used when there is additional payment-related information. For details, refer to 'Developer Guide -> Payment Extra Information Settings'.
Metadata Arbitrary key-value data. Up to 20 keys; values are strings up to 255 bytes. Strings beginning with 'route' or '__' are reserved keys.
Client IP address
length ≤ 39
Customer ID
length ≤ 32
Customer source ID
length ≤ 32
Location ID
length ≤ 32

Response Body

application/json

Created

TypeScript Definitions

Use the response body type in TypeScript.

curl -X POST "https://api.elepay.io/charges" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "paymentMethod": "alipay",    "orderNo": "string"  }'
{
  "id": "string",
  "appId": "string",
  "object": "charge",
  "liveMode": true,
  "amount": 0,
  "authorizeAmount": 0,
  "currency": "JPY",
  "authorize": true,
  "paymentMethod": "alipay",
  "resource": "web",
  "orderNo": "string",
  "description": "string",
  "location": {
    "id": "string",
    "name": {
      "kanji": "string",
      "kana": "string",
      "romaji": "string"
    },
    "tel": "string",
    "zip": "string",
    "address": {
      "kanji": {
        "pref": "string",
        "city": "string",
        "town": "string",
        "address1": "string",
        "address2": "string"
      },
      "kana": {
        "pref": "string",
        "city": "string",
        "town": "string",
        "address1": "string",
        "address2": "string"
      },
      "romaji": {
        "pref": "string",
        "city": "string",
        "town": "string",
        "address1": "string",
        "address2": "string"
      }
    },
    "latitude": 0.1,
    "longitude": 0.1,
    "note": "string",
    "status": "active"
  },
  "extra": {},
  "metadata": {},
  "cardInfo": {
    "brand": "string",
    "last4": "string",
    "expMonth": 0,
    "expYear": 0,
    "name": "string",
    "issuerCode": "string",
    "issuerName": "string",
    "wallet": "string",
    "walletApp": "string",
    "repaymentType": "string",
    "approvalCode": "string",
    "threeDSecure": true,
    "threeDSecureVersion": "string",
    "threeDSecureDetail": "string",
    "businessType": "string",
    "konbiniScanTime": 0,
    "konbiniType": "string",
    "receivedAmount": 0,
    "receivedTime": 0,
    "bankUserCode": "string",
    "bankUserName": "string",
    "bankName": "string",
    "bankBranchName": "string",
    "bankAccountNo": "string",
    "billingNo": "string"
  },
  "voucherNo": "string",
  "clientIp": "string",
  "paid": true,
  "refunded": true,
  "disputed": true,
  "refunds": {
    "amount": 0,
    "totalCount": 0,
    "data": [
      {
        "id": "string",
        "object": "refund",
        "chargeId": "string",
        "liveMode": true,
        "amount": 0,
        "currency": "str",
        "metadata": {},
        "reason": "string",
        "status": "pending",
        "refundedTime": 0,
        "createTime": 0
      }
    ]
  },
  "status": "pending",
  "codeContent": "string",
  "credential": "string",
  "paidTime": 0,
  "refundTime": 0,
  "expiryTime": 0,
  "settleTime": 0,
  "createTime": 0
}